#!/bin/bash
# Run interpolate_growth_model.R
# Usage: ./03_run_growth_model.sh --project_dir=kibos

project_dir="kibos"
for arg in "$@"; do
    case $arg in
        --project_dir=*)
            project_dir="${arg#*=}"
            ;;
        *)
            echo "Unknown option: $arg"
            exit 1
            ;;
    esac
    shift
done

echo "Running interpolate_growth_model.R for $project_dir."
cd ../r_app
Rscript 30_interpolate_growth_model.R $project_dir
cd ..
